Page 1 of 1

Can't install on Ubuntu 18.04?

PostPosted: Mon Jul 02, 2018 9:50 pm
by SparkyRih
I'm getting this error while trying to re-install onlyoffice-documentserver... I had it installed and working before, but while I was updating, an erro accured, so I removed onlyoffice-documentserver, but now I can't even install it anymore...

Setting up onlyoffice-documentserver (5.1.4-22) ...
dpkg: error processing package onlyoffice-documentserver (--configure):
installed onlyoffice-documentserver package post-installation script subprocess returned error exit status 127
Errors were encountered while processing:
onlyoffice-documentserver
E: Sub-process /usr/bin/dpkg returned an error code (1)

Re: Can't install on Ubuntu 18.04?

PostPosted: Tue Jul 03, 2018 6:17 am
by Maxim
Hello!
Can't install on Ubuntu 18.04?

There must be problems with installation due to lack of some needed packages.
Onlyoffice doesn't support Ubuntu 18.04 for now.

Re: Can't install on Ubuntu 18.04?

PostPosted: Tue Jul 03, 2018 8:41 pm
by SparkyRih
Ok thanks, well than I'll see if I can find out what I'm missing to see if I can get it to work again...

Re: Can't install on Ubuntu 18.04?

PostPosted: Wed Aug 22, 2018 12:59 pm
by AndySputnik
Did you ever figure this out? I tried, but seems mono-complete has some broken dependencies on its Ubuntu 18 version.

Re: Can't install on Ubuntu 18.04?

PostPosted: Mon Aug 27, 2018 6:36 am
by Maxim
Hello AndySputnik!
Please follow this instruction to install Document Server on Ubuntu 18.04

Re: Can't install on Ubuntu 18.04?

PostPosted: Thu Aug 30, 2018 11:01 am
by AndySputnik
Maxim wrote:Hello AndySputnik!
Please follow this instruction to install Document Server on Ubuntu 18.04


Apologies. I didn't read the original post closely enough. It's the community server that doesn't install on Ubuntu 18 due to mono-complete having dependency issues. I ended up using Ubuntu 16 for this build.